import { Component } from '@angular/core';
import { NavController, NavParams, MenuController } from 'ionic-angular';
import { DownloadService } from "../../services/download-service";

@Component({
	selector: 'page-home',
  	templateUrl: 'home.html'
})
export class HomePage {

	constructor(
		public navCtrl: NavController,
		public navParams: NavParams,
		public menuCtrl: MenuController,
		public download: DownloadService
	) { }

  	ionViewDidLoad() {
		console.log('ionViewDidLoad HomePage');
		this.menuCtrl.enable(true);

		this.download.do().subscribe(model => { 
			console.log(model);
			
		}, error => console.error(error));	
  	}
}